package jsortdemo.core;

/************************************************************************
 *  			      DelayPanel.java 
 ************************************************************************/

import java.awt.*;
import javax.swing.*;
//import javax.swing.border.TitledBorder;
//import javax.swing.border.CompoundBorder;

/**
 * Class DelayPanel.
 *
 */
class DelayPanel extends JPanel {

	JSlider slider; 
	JLabel label;
	JLabel title = new JLabel("Delay:");
	
	public DelayPanel(int delay, int delayMinMax[]) {


		slider = new JSlider( SwingConstants.VERTICAL,
			           delayMinMax[0],
			           delayMinMax[1],
				   delay);

		slider.setMinorTickSpacing( 10 );
		slider.setMajorTickSpacing( 100 );
		slider.setPaintTicks( true );

		label = new JLabel();
		label.setFont( new Font("Monospaced",Font.BOLD,12) );

		setLabelText(delay);

		GridBagLayout gbLayout = new GridBagLayout();
		GridBagConstraints c = new GridBagConstraints();
		setLayout(gbLayout);

		c.gridy=0;
		gbLayout.setConstraints(title, c);
		add(title);

		c.gridy=1;
		gbLayout.setConstraints(slider, c);
		add(slider);

		c.gridy=2;
		gbLayout.setConstraints(label, c);
		add(label);

	}

	public void setLabelText(int delay) {
		if (delay>999)
			label.setText(""+delay+"ms");
		else if (delay>99)
			label.setText(" "+delay+"ms");
		else if (delay>9)
			label.setText("  "+delay+"ms");
		else 
			label.setText("   "+delay+"ms");
	}


}

